## python-dmsh 0.1.4

=== Makefile ===
VERSION=$(shell python3 -c "import dmsh; print(dmsh.__version__)")

default:
	@echo "\"make publish\"?"

# https://packaging.python.org/distributing/#id72
upload: setup.py
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -f dist/*
	python3 setup.py sdist
	python3 setup.py bdist_wheel
	twine upload dist/*

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/dmsh/releases

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/ MANIFEST .pytest_cache/

format:
	isort -rc .
	black .

black:
	black .

lint:
	black --check .
	flake8 .

=== test/Makefile ===
default:
	@echo `make png`?

png:
	for file in test_*.py; do \
	  python3 $$file; \
	done
	for file in *.png; do convert $$file -trim -resize x200 $$file; done
	for file in *.png; do optipng $$file; done

=== debian/changelog ===
python-dmsh (0.1.4-3) unstable; urgency=medium

  * relax more test tolerances in tests_relax_tolerance.patch
    to allow arm64 debci to keep up.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2019 21:10:22 +0800

python-dmsh (0.1.4-2) unstable; urgency=medium

  * debian patch tests_relax_tolerance.patch relaxes test tolerances
    to enable debci tests to pass. Closes: #945769.

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2019 14:42:45 +0800

python-dmsh (0.1.4-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: python3-pypathlib (>= 0.1.3)
      (for polygon.diameter = path.diameter)
  * set Debian Science Team as Maintainer
  * add Vcs tags: https://salsa.debian.org/science-team/python-dmsh

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2019 17:50:01 +0800

python-dmsh (0.1.3-2) unstable; urgency=medium

  * debian/tests Depends: python3-matplotlib

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2019 18:04:51 +0800

python-dmsh (0.1.3-1) unstable; urgency=low

  * Initial debian packaging (adapted from files generated by py2dsp)
    Closes: #935908.
  * debian patch test_skip_save.patch skips save-mesh-to-file in
    tests, since meshplex is not currently available.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 08:16:51 +0800

=== debian/control ===
Source: python-dmsh
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-numpy,
               python3-pypathlib (>= 0.1.3),
               python3-scipy,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/nschloe/dmsh
Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git

Package: python3-dmsh
Architecture: all
Depends:  python3-pypathlib (>= 0.1.3),
 ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: High-quality 2D mesh generator based on distmesh
 dmsh: "The worst mesh generator you'll ever use."
 .
 Inspired by distmesh, dmsh is slow, requires a lot of memory, and
 isn't terribly robust either.
 .
 On the plus side, it's got a usable interface, is pure Python (and
 hence easily installable on any system), and if it works, it produces
 pretty high-quality meshes.
 .
 Combined with optimesh, dmsh produces the highest-quality 2D meshes
 in the west.
 .
 Example capabilities:
  * Primitives
   - circle, rectangle, polygon
   - halfspace
  * Combinations
   - difference
   - nonconstant edge length
   - union
   - intersection
  * Transformations
   - rotation, translation, scaling
  * Local refinement

=== debian/tests/control ===
Tests: test-dmsh
Depends: python3-dmsh,
 python3-matplotlib,
 python3-numpy

## python-dmsh 0.1.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=$(shell python3 -c "import dmsh; print(dmsh.__version__)")
+VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")
 
 default:
 	@echo "\"make publish\"?"
@@ -14,12 +14,12 @@
 
 tag:
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
-	@echo "Tagging v$(VERSION)..."
-	git tag v$(VERSION)
-	git push --tags
-	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/dmsh/releases
+	# @echo "Tagging v$(VERSION)..."
+	# git tag v$(VERSION)
+	# git push --tags
+	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/dmsh/releases
 
-publish: tag upload
+publish: upload tag
 
 clean:
 	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf

=== debian/changelog ===
python-dmsh (0.1.10-6) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax test_square_hole_refined.py
    and test_difference.py tolerances further so arm64 can pass tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Apr 2020 13:26:29 +0800

python-dmsh (0.1.10-5) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax tolerance in test_ellipse.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 11:38:31 +0800

python-dmsh (0.1.10-4) unstable; urgency=medium

  * debian/tests Depends: python3-pytest (in test_circle.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Mar 2020 23:15:08 +0800

python-dmsh (0.1.10-3) unstable; urgency=medium

  * reinstate debian patch tests_relax_tolerance.patch
    (upstream tolerance still fails test_translation.py,
    test_halfspace.py). Relax tolerance for
    test_refinement_point_line.py, test_square_hole_refined.py
    (required for arm64, ppc64el)
  * debian/tests now registers failure when tests fail

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 23:37:24 +0800

python-dmsh (0.1.10-2) unstable; urgency=medium

  * drop debian patch tests_relax_tolerance.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Mar 2020 13:20:52 +0800

python-dmsh (0.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-importlib-metadata, python3-wheel
  * run tests (autopkgtest) with MPLBACKEND=Agg to prevent graphics
    from launching during tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Mar 2020 10:40:38 +0800

python-dmsh (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-matplotlib
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Feb 2020 02:27:25 +0800

python-dmsh (0.1.6-2) unstable; urgency=medium

  * debian patch test_no_perfplot.patch drops use of perfplot in
    test_speed.py. perfplot is not available (not yet packaged).
    Closes: #948453.
  * allow-stderr in debian/tests to allow for log messages to stderr
    e.g. "Matplotlib is currently using agg" with MPLBACKEND=Agg

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jan 2020 12:56:17 +0800

python-dmsh (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * drop Depends: python3-pypathlib
    (pypathlib is now included in dmsh source)

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Dec 2019 10:06:52 +1100

python-dmsh (0.1.5-2) unstable; urgency=medium

  * relax test tolerance in test_stretch.py
    (debian patch tests_relax_tolerance.patch)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Dec 2019 16:52:14 +1100

python-dmsh (0.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Dec 2019 17:01:48 +0800

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-importlib-metadata,
+               python3-matplotlib,
                python3-numpy,
-               python3-pypathlib (>= 0.1.3),
                python3-scipy,
                python3-setuptools,
-Standards-Version: 4.4.1
+               python3-wheel
+Standards-Version: 4.5.0
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
 
 Package: python3-dmsh
 Architecture: all
-Depends:  python3-pypathlib (>= 0.1.3),
- ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: High-quality 2D mesh generator based on distmesh

=== debian/tests/control ===
Tests: test-dmsh
Depends: python3-dmsh,
 python3-matplotlib,
 python3-numpy,
 python3-pytest
Restrictions: allow-stderr

## python-dmsh 0.2.11

=== Makefile ===
VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")

default:
	@echo "\"make publish\"?"

# https://packaging.python.org/distributing/#id72
upload: clean
	# Make sure we're on the main branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	# https://stackoverflow.com/a/58756491/353337
	python3 -m build --sdist --wheel .
	twine upload dist/*

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/dmsh/releases

publish: upload tag

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/ MANIFEST .pytest_cache/

format:
	isort .
	black .
	blacken-docs README.md

lint:
	black --check .
	flake8 .

=== debian/changelog ===
python-dmsh (0.2.11-3) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax tolerances further

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Feb 2021 11:20:59 +0100

python-dmsh (0.2.11-2) unstable; urgency=medium

  * also, python3-dmsh Depends: python3-meshplex (>= 0.15.8)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Feb 2021 23:17:41 +0100

python-dmsh (0.2.11-1) unstable; urgency=medium

  * New upstream release
    - removes dangling points
    - applies debian patch test_stretch_no_show.patch
    - tightens Build-Depends: python3-meshplex (>= 0.15.8)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Feb 2021 11:49:35 +0100

python-dmsh (0.2.10-1) unstable; urgency=medium

  * New upstream release.
    - fixes edge handling with meshplex 0.15.4.
      Drop debian patch tests_relax_tolerance_meshplex0.15.4.patch
    - Depends: python3-meshplex (>= 0.15.5)

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Dec 2020 09:37:05 +0800

python-dmsh (0.2.9-3) unstable; urgency=medium

  * debian patch tests_relax_tolerance_meshplex0.15.4.patch relaxes
    tolerance to 0.01 for tests broken by meshplex 0.15.4.
    See https://github.com/nschloe/dmsh/issues/57

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Dec 2020 20:02:36 +0800

python-dmsh (0.2.9-2) unstable; urgency=medium

  * reinstate and update debian patch tests_relax_tolerance.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Nov 2020 13:36:26 +0800

python-dmsh (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * update Build-Depends: python3-meshplex (>= 0.15.3) (<< 0.16)
  * Standards-Version: 4.5.1
  * drop debian patch tests_relax_tolerance.patch
    (new reference values provided)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 23:47:37 +0800

python-dmsh (0.2.8-3) unstable; urgency=medium

  * reinstate debian patch tests_relax_tolerance.patch
    (even with higher precision in reference numbers, tolerances are
    still too tight)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Nov 2020 11:45:57 +0800

python-dmsh (0.2.8-2) unstable; urgency=medium

  * python3-dmsh versioned Depends: python3-meshplex (>= 0.14.0)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Nov 2020 02:03:10 +0800

python-dmsh (0.2.8-1) unstable; urgency=medium

  * New upstream release.
    - update versioned Build-Depends: python3-meshplex (>= 0.14.0)
    - applies debian patch remove_console_apps.patch
  * drop debian patch tests_relax_tolerance.patch (precision added
    upstream to reference numbers)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Nov 2020 09:44:10 +0800

python-dmsh (0.2.3-2) unstable; urgency=medium

  * debian patch tests_relax_tolerance.patch relaxes tolerance in
    test_translation.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 21:59:47 +0800

python-dmsh (0.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-meshplex
      (drop debian patch test_skip_save.patch)
  * add debian patches
    - setup_python.patch adds setup.py to build the package
    (pybuild is not smart enough to handle pyproject.toml)
    - test_no_exdown.patch skips test_readme.py, since the exdown
      module is not currently available on Debian.
    - test_stretch_no_show.patch sets show=False by default in
      test_stretch.py to avoid excessive status messages
    - remove_console_apps.patch removes console apps
      dmsh-image and dmsh-poly (dmsh.cli does not exist)
  * use pytest in debian/tests (autopkgtest)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Oct 2020 12:15:47 +0800

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               python3-all,
-               python3-importlib-metadata,
-               python3-matplotlib,
-               python3-numpy,
-               python3-scipy,
-               python3-setuptools,
-               python3-wheel
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+ dh-python,
+ python3-all,
+ python3-importlib-metadata,
+ python3-matplotlib,
+ python3-meshplex (>= 0.15.8), python3-meshplex (<< 0.16),
+ python3-numpy,
+ python3-scipy,
+ python3-setuptools,
+ python3-wheel
+Standards-Version: 4.5.1
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
 
 Package: python3-dmsh
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-meshplex (>= 0.15.8), ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: High-quality 2D mesh generator based on distmesh

## python-dmsh 0.2.18

=== debian/changelog ===
python-dmsh (0.2.18-2) unstable; urgency=medium

  * update debian patch tests_relax_tolerance.patch to relax tolerance
    in test_quarter_annulus and test_refinement_point_line.
    Required to pass tests on arm64, i386.

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 23:55:39 +0100

python-dmsh (0.2.18-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patch test_no_exdown.patch
    - versioned Build-Depends: python3-meshplex (>= 0.16.0)
  * Build-Depends: pybuild-plugin-pyproject to build from
    pyproject.toml without setup.py.
    - drop debian patch setup_python.patch
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 13:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-importlib-metadata,
  python3-matplotlib,
- python3-meshplex (>= 0.15.8), python3-meshplex (<< 0.16),
+ python3-meshplex (>= 0.16.0),
  python3-numpy,
  python3-scipy,
  python3-setuptools,
  python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
 
 Package: python3-dmsh
 Architecture: all
-Depends: python3-meshplex (>= 0.15.8), ${misc:Depends}, ${python3:Depends}
+Depends: python3-meshplex (>= 0.16.0), ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: High-quality 2D mesh generator based on distmesh

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-dmsh-$1.tar.gz%" \
 https://github.com/nschloe/dmsh/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-dmsh 0.2.19

=== debian/changelog ===
python-dmsh (0.2.19-3) unstable; urgency=medium

  * debian patch pytest_no_return.patch separates object generation
    from tests to avoid returning values from tests, which is
    deprecated in pytest and will give an error in future.
  * Build-Depends: python3-pytest to run tests at build time.
    Use MPLBACKEND=Agg in debian/rules to handle images
    non-interactively
  * run tests with -W ignore::UserWarning to ignore warnings about
    non-Delaunay facet round-off errors
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 May 2025 03:09:50 +0200

python-dmsh (0.2.19-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dependency on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Mon, 05 May 2025 00:48:10 +0200

python-dmsh (0.2.19-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: flit, python3-npx

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Mar 2022 10:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
  pybuild-plugin-pyproject,
  python3-all,
- python3-importlib-metadata,
  python3-matplotlib,
  python3-meshplex (>= 0.16.0),
+ python3-npx,
  python3-numpy,
+ python3-pytest,
  python3-scipy,
  python3-setuptools,
  python3-wheel
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=dmsh

# ignore warnings about non-Delaunay facet round-off errors
export PYBUILD_TEST_ARGS=-W ignore::UserWarning

# don't treat test images interactively
export MPLBACKEND=Agg

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: MPLBACKEND=Agg pytest-3 -W ignore::UserWarning
Depends: python3-dmsh,
 python3-matplotlib,
 python3-pytest
